# ClassRegLogRegister

Registers a class for logging operations in an application code.

### Synopsis

    #include "petsc.h"
    PetscErrorCode ClassRegLogRegister(ClassRegLog classLog, const char cname[], PetscCookie *cookie)

Not Collective

### Input Parameters

| classLog | - The ClassLog
| cname | - The name associated with the class

### Output Parameter

cookie -The cookie

### Keywords

log, class, register

### See Also

PetscLogClassRegister()

Level:developer
Location: src/sys/plog/utils/classLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages